SUP-IMPORT-DUMP(1)

NAME

sup-import-dump - import message state dump to Sup index

SYNOPSIS

sup-import-dump [options] dumpfile

DESCRIPTION

Imports message state previously exported by sup-dump into the index. sup-import-dump operates on the index only, so the messages must have already been added using sup-sync. If you need to recreate the index, see sup-sync --restore instead.

Messages not mentioned in the dump file will not be modified.

OPTIONS

-v, --verbose
    Print message ids as they're processed

-i, --ignore-missing
    Silently skip over messages that are not in the index

-w, --warn-missing
    Warn about messages that are not in the index, but continue

-a, --abort-missing
    Abort on encountering messages that are not in the index (default)

-t, --atomic
    Use transaction to apply all changes atomically

-n, --dry-run
    Don't actually modify the index. Probably only useful with --verbose

--version
    Show version information

-h, --help
    Show help message

SEE ALSO

sup(1), sup-sync(1), sup-dump(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.